----------------------------------------------------------------
--                                                              
--  File:   Drop_Tables_Growing.SQL                             
--          Microsoft TPC-E Benchmark Kit Ver. 1.14.0-1031      
--          Copyright Microsoft, 2008-2015                  
--                                                              
----------------------------------------------------------------
USE tpce
GO

---
--- Set connection attributes
---
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
GO

-- ***************************
-- *** DROP GROWING TABLES ***
-- ***************************
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'CASH_TRANSACTION' )
	DROP TABLE CASH_TRANSACTION
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'HOLDING' )
	DROP TABLE HOLDING
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'HOLDING_HISTORY' )
	DROP TABLE HOLDING_HISTORY
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'HOLDING_SUMMARY' )
	DROP TABLE HOLDING_SUMMARY
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'SETTLEMENT' )
	DROP TABLE SETTLEMENT
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TRADE' )
	DROP TABLE TRADE
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TRADE_HISTORY' )
	DROP TABLE TRADE_HISTORY
GO
IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TRADE_REQUEST' )
	DROP TABLE TRADE_REQUEST
GO
